Subscribe to Alerts
curl --request POST \
--url https://alerts-api.dial.to/v2/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Dialect-Client-Key: <x-dialect-client-key>' \
--data '
{
"appId": "123e4567-e89b-12d3-a456-426614174000",
"channel": "IN_APP"
}
'import requests
url = "https://alerts-api.dial.to/v2/subscribe"
payload = {
"appId": "123e4567-e89b-12d3-a456-426614174000",
"channel": "IN_APP"
}
headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({appId: '123e4567-e89b-12d3-a456-426614174000', channel: 'IN_APP'})
};
fetch('https://alerts-api.dial.to/v2/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {}
}{
"message": "<string>"
}Integrate an Inbox
Subscribe to Alerts
Subscribe to alerts from applications across multiple channels with support for app-specific and bulk subscriptions
POST
/
v2
/
subscribe
Subscribe to Alerts
Authorizations
Bearer token authentication for subscriber calls
Headers
Client Key used to uniquely identify the client
Example:
"dk_gyh2eqzfkc4mhp5eiahnndkz"
Body
application/json
App ID or an array of App IDs. If empty or omitted, targets all apps available (owned or whitelisted) for the client.
Example:
"123e4567-e89b-12d3-a456-426614174000"
Channel or an array of channels (IN_APP, TELEGRAM, EMAIL). If empty or omitted, targets all channels available for the subscriber
Available options:
IN_APP, EMAIL, TELEGRAM Example:
"IN_APP"
Response
Subscription successful
The response is of type object.
Was this page helpful?
⌘I